Bug 245951 - Review Request: urlview - URL extractor/launcher
Review Request: urlview - URL extractor/launcher
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 226167
  Show dependency treegraph
 
Reported: 2007-06-27 11:48 EDT by Miroslav Lichvar
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 06:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2007-06-27 11:48:43 EDT
Spec URL: http://people.redhat.com/mlichvar/tmp/urlview.spec
SRPM URL: http://people.redhat.com/mlichvar/tmp/urlview-0.9-1.fc8.src.rpm
Description:
urlview is a screen oriented program for extracting URLs from text
files and displaying a menu from which you may launch a command to
view a specific item.

This is a part of the mutt package, but it's probably better to have urlview  packaged separately.
Comment 1 Jochen Schmitt 2007-06-27 13:32:31 EDT
Good:
+ Package confirm with naming guidelines.
+ Package contains currecnt version of the application
+ Rpm macros used consistently
+ Package contains %{?dist} tag
+ Package is licensed under the GPL
+ License filed matches with license from the COPYING file.
+ Package contains verbatim copy of the license text
+ Spec name matches with package base name
+ Package is written in English
+ Package is legible
+ Tar ball matches with upstrea
  (md5sum: 67731f73e69297ffd106b65c8aebb2ab)
+ Package has correct Buildroot
+ BuildRequires are not redundant 
  (Package contains only one BuildRequires)
+ Package contains no subpackages
+ $RPM_BUILD_ROOT will cleaned as the beginning of %install and in the %clean
section
+ Local build works
+ %doc stanza is small.
+ Package contains %defattr and permission are ok.
+ Filelist contains no duplicates
+ Package contains no unown directories
+ Doc files don't affect runtime
+ ChangeLog look correctly
+ Package run on local system
+ Rpmlint is quite on source and binary rpm
+ Mock build works fine for Devel and F-7 (x86_64)

Bad:
- Package contains files own by mutt-5.5.14-4
  I think the package schould contains a Conflict statement for
  exclusion of all mutt package before the split off
- Installation of package works only with the force flag because
  its a split off from mutt
Comment 2 Jochen Schmitt 2007-06-27 13:37:21 EDT
(In reply to comment #1)
> - Package contains files own by mutt-5.5.14-4
 
Should be mutt-1.5.14-4 of course.

Comment 3 Bill Nottingham 2007-06-27 13:40:28 EDT
Presumably we'd just hold building until both this and the reviewed mutt package
were available?
Comment 4 Jochen Schmitt 2007-06-27 13:45:39 EDT
Yes, and we should add the Conflict statement as suggested into the package, to
avoid madness for the end user.

If you have a release number of the first mutt package without the urlview
stuff, then you may be able to create the Conflict now.
Comment 5 Jochen Schmitt 2007-06-27 13:51:36 EDT
I have suggested an update to mutt-1.5.16. In this case you may enter a

Conflict: mutt < 1.5.16

into your SPEC file.
Comment 6 Patrice Dumas 2007-06-28 04:21:58 EDT
Regarding the dependencies, after some thinking it seems better
to me to have no Requires. There could be some suggest or the like
but hard requires seems wrong to me.

md5sum is right, but the timestamp of the urlview tarball 
is not kept:
$ ls -l urlview-0.9.tar.gz ../SOURCES/urlview-0.9.tar.gz 
-rw-rw-r-- 1 dumas dumas 46685 jun 25  2004 ../SOURCES/urlview-0.9.tar.gz
-rw-rw-r-- 1 dumas dumas 46685 jui  4  2000 urlview-0.9.tar.gz

I guess that te tarball is already in the look-aside cache so 
cannot have the timestamp changed.

Maybe you could have a look at the debian package, they seem to
have interesting patches and bugfixes.
Comment 7 Patrice Dumas 2007-06-28 04:24:18 EDT
Also maybe the url could be
ftp://ftp.mutt.org/pub/mutt/contrib/urlview-0.9.README
Comment 8 Miroslav Lichvar 2007-06-29 07:35:56 EDT
Conflict added and URL fixed in
http://people.redhat.com/mlichvar/tmp/urlview-0.9-2.fc8.src.rpm
Comment 9 Patrice Dumas 2007-06-29 18:04:33 EDT
Final say is from Jochen, but for me this package is acceptable.
Still think that the debian patches may be worth looking at,
but I don't think this is a blocker.
Comment 10 Jochen Schmitt 2007-07-01 14:39:03 EDT
I have tested the Confilct mechanisms and is look to works, so I can APPROVE
your package. 

Unfortunately, something is wrong with my BZ accoount, because BZ don't accept
the change for the fedora-review flag.
Comment 11 manuel wolfshant 2007-07-01 18:17:01 EDT
setting the fedora+ flag on behalf of Jochen
Comment 12 Miroslav Lichvar 2007-07-09 11:01:03 EDT
New Package CVS Request
=======================
Package Name: urlview
Short Description: URL extractor/launcher
Owners: mlichvar@redhat.com
Branches: F-7
Comment 13 Miroslav Lichvar 2007-07-10 06:28:03 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.